part of navigine_sdk;

class PointF {
  double x;
  double y;

  PointF.fromValue(this.x, this.y);

  void set(double x, double y) {
    this.x = x;
    this.y = y;
  }

  void negate() {
    x = -x;
    y = -y;
  }

  void offset(double dx, double dy) {
    x += dx;
    y += dy;
  }

  static double length(double x, double y) {
    return sqrt(x * x + y * y);
  }
}
