library navigine_sdk;

import "dart:math";
import 'dart:async';
import 'dart:typed_data';
import 'package:flutter/services.dart';
import "package:collection/collection.dart";

part 'models/zone.dart';
part 'models/venue.dart';
part 'models/beacon.dart';
part 'models/point_f.dart';
part 'models/measure.dart';
part 'models/category.dart';
part 'models/location.dart';
part 'models/route_path.dart';
part 'models/route_event.dart';
part 'models/device_info.dart';
part 'models/global_point.dart';
part 'models/sub_location.dart';
part 'models/location_point.dart';

part './controllers/navigine.dart';
part './controllers/navigation.dart';

const MethodChannel _channel = const MethodChannel('navigine_sdk');
